Return Order Webhook
POSThttps://your_server_address/{your_return_order_endpoint}
Notifies you of a return status update.
Headers
X-Recustomer-Signature-256stringrequiredHMAC SHA256 signature of the payload, sent in a header to guarantee data integrity and authenticate the sender. The signature has the form 'sha256=signature', where signature is a 64-character hexadecimal string.
X-Recustomer-Sender-IDstringrequiredContains a unique identifier of what triggered the webhook, so that the receiver can identify the sender.
Request body
idintegerrequiredID of the Return Order
external_order_idstringrequiredID of the original order
order_numberstringrequiredOrder number
request_idstringrequiredID of the request
created_atstring(date-time)requiredReturn created at
refund_reject_reasonstringReason for rejecting the refund
approval_atstring(date-time)Return approved at
send_backed_atstring(date-time)Sent back at
reshipmented_atstring(date-time)Reshipped at
exchanged_atstring(date-time)Exchanged at
refunded_atstring(date-time)Refunded at
completed_atstring(date-time)Request completed at
approval_statusstringApproval status
send_back_statusstringSend back status
reshipment_statusstringReship status
exchange_statusstringExchange status
refund_statusstringRefund status
payment_statusstringPayment status
exchange_slip_creation_statusstringExchange order issuance status
order_itemsarray of objectsrequiredShow child attributes12
idintegerrequiredReturn item ID
original_item_idstringrequiredOriginal item ID
skustringrequiredReturn item SKU
product_idstringrequiredReturned product ID
image_linkstringReturned product image
is_deletedbooleanrequiredWhether the returned product has been deleted
item_namestringrequiredReturned product name
item_pricenumberrequiredReturned product price
currencystringrequiredCurrency
item_resultobjectrequiredShow child attributes13
idintegerrequiredID of the result for the returned item
approval_statusstringApproval status of the returned item
send_back_statusstringSend back status of the returned item
reshipment_statusstringReship status of the returned item
resolution_methodstringResolution for the returned item
item_statusstringInspection result of the returned item
is_required_send_backbooleanrequiredWhether the item needs to be sent back
is_customer_paybooleanWhether the customer pays the return shipping
approval_reject_reasonstringReason for rejecting approval
exchange_reject_reasonstringReason for rejecting the exchange
memostringMemo
send_back_reject_reasonstringReason for rejecting the send back
arrival_datestring(date)Date the sent-back item arrived
optionsarray of objectsShow child attributes2
keystringrequiredOption key of the returned item
valuestringrequiredOption value of the returned item
exchange_itemobjectShow child attributes10
idintegerrequiredExchange product ID
item_namestringrequiredExchange product name
optionsarray of objectsShow child attributes2
keystringrequiredOption key of the returned item
valuestringrequiredOption value of the returned item
image_linkstringExchange product image
skustringrequiredExchange product SKU
item_pricenumberrequiredExchange product price
currencystringrequiredCurrency
exchange_statusstringExchange status
exchange_slip_creation_statusstringExchange order issuance status
external_order_codestringExternal exchange order code
customerobjectrequiredShow child attributes10
idintegerrequiredCustomer ID
emailstringrequiredEmail address
return_countintegerrequiredNumber of returns
cancel_countintegerrequiredNumber of cancellations
last_namestringrequiredLast name
first_namestringrequiredFirst name
full_namestringrequiredFull name
phone_numberstringrequiredPhone number
is_consent_email_marketingbooleanrequiredWhether marketing email is allowed
is_consent_sms_marketingbooleanrequiredWhether marketing SMS is allowed
shipping_addressobjectShow child attributes10
last_namestringrequiredLast name
first_namestringrequiredFirst name
full_namestringrequiredFull name
phone_numberstringrequiredPhone number
country_codestringrequiredCountry code
postal_codestringrequiredPostal code
provincestringrequiredPrefecture
citystringrequiredCity
address1stringrequiredAddress line 1 (street and number)
address2stringrequiredAddress line 2 (building and room number)
billing_addressobjectShow child attributes10
last_namestringrequiredLast name
first_namestringrequiredFirst name
full_namestringrequiredFull name
phone_numberstringrequiredPhone number
country_codestringrequiredCountry code
postal_codestringrequiredPostal code
provincestringrequiredPrefecture
citystringrequiredCity
address1stringrequiredAddress line 1 (street and number)
address2stringrequiredAddress line 2 (building and room number)
refund_infoobjectShow child attributes8
idintegerrequiredRefund information ID
payment_methodstringPayment method
refund_methodstringRefund
refund_sub_totalnumberrequiredRefund subtotal
taxnumberrequiredTax
suggested_amountnumberrequiredSuggested refund amount
fixed_amountnumberRefunded amount
discount_and_expensesarray of objectsrequiredShow child attributes4
idintegerrequiredsuggested_amountnumberfixed_amountnumberdiscount_expenses_namestringrequiredName of the discount or fee setting
is_archivebooleanrequired
Responses
200 OK
resultsstring